GET
/api/v1/faas/monitoring-data/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/faas/monitoring-data/?function_name=<FUNCTION_NAME>&interval=<INTERVAL>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/faas/monitoring-data/", params={"function_name": "<FUNCTION_NAME>", "interval": "<INTERVAL>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/faas/monitoring-data/");url.search = new URLSearchParams({ function_name: "<FUNCTION_NAME>", interval: "<INTERVAL>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Retrieves monitoring data such as memory usage and invocation counts for a specific function.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”function_name
required
string
Example
e2e-function-6147The name of the function to monitor.
interval
required
integer
Interval
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successfully retrieved monitoring data.
Media typeapplication/json
object
code
integer
data
object
pod_memory_working_set_bytes
object
labels
Array<string>
results
Array<string>
gateway_function_invocation_total
object
labels
Array<string>
results
Array<string>
errors
object
message
string
Example
{ "code": 200, "data": { "pod_memory_working_set_bytes": { "labels": [ "23 Jun 12:39 PM", "23 Jun 12:40 PM" ], "results": [ "48.173056 MB", "48.173056 MB" ] }, "gateway_function_invocation_total": { "labels": [], "results": [] } }, "errors": {}, "message": "Success"}